// Copyright 2014 the V8 project authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Flags: --allow-natives-syntax --crankshaft

function foo() {
  return "fooed";
}

v8OptimizeFunctionOnNextCall(foo);
assertEquals("fooed", foo());
assertOptimized(foo);

function bar() {
  return "bared";
}

assertEquals("bared", bar());
v8OptimizeFunctionOnNextCall(bar);
assertEquals("bared", bar());
assertOptimized(bar);
